Skip to main content

Locations API

Auto-generated from the OpenAPI spec. Run node docs-site/scripts/fetch-openapi.js to regenerate.

GET /api/v1/locations

List Locations

Parameters

NameInRequiredTypeDescription
include_inactivequeryNoboolean
searchqueryNo
pagequeryNointeger
page_sizequeryNointeger

Responses

  • 200 — Successful Response
  • 422 — Validation Error

POST /api/v1/locations

Create Location

Request body

FieldRequiredTypeDescription
nameYesstring
addressNostring
phoneNostring

Responses

  • 201 — Successful Response
  • 422 — Validation Error

PUT /api/v1/locations/{location_id}

Update Location

Parameters

NameInRequiredTypeDescription
location_idpathYesinteger

Request body

FieldRequiredTypeDescription
nameNostring
addressNostring
phoneNostring
is_activeNoboolean

Responses

  • 200 — Successful Response
  • 422 — Validation Error

DELETE /api/v1/locations/{location_id}

Deactivate Location

Parameters

NameInRequiredTypeDescription
location_idpathYesinteger

Responses

  • 204 — Successful Response
  • 422 — Validation Error

DELETE /api/v1/locations/{location_id}/remove

Remove Location

Parameters

NameInRequiredTypeDescription
location_idpathYesinteger

Responses

  • 204 — Successful Response
  • 422 — Validation Error